export default Object.freeze({
    scalability: 'In Docker Swarm, services are scaled using Docker Compose yaml templates. Once a service is scaled up, more replicas are created on available nodes. Docker Swarm offers faster deployments and updates due it being lightweight.',
    installation: 'Docker Swarm, being a product of Docker is relatively simpler to get started with. Providing there is already Docker installed, creating a swarm is a matter of a simple command docker swarm init. Adding more nodes to the swarm requires that hosts have assigned IP addresses and particular ports are exposed. A new node in a role of either master or worker can be added at any time.',
    availability: 'With Swarm, there is a manager node that is responsible for the cluster. It distributes workload to worker nodes. If the manager fails, another manager can continue its job, provided there is one.',
    loadBalancing: 'Docker Swarm under the hood uses DNS (Domain Name System) to distribute incoming requests to services. It supports auto balancing in this way.',
    networking: 'When a node joins a cluster in Docker Swarm, two types of network are generated: an overlay and docker bridge network. The first one covers all service within the Swarm. The latter, on the other hand, builds a host-only bridge for all containers on the host. All tasks in a Swarm are assigned an IP address by an allocator, and a dispatcher allocates them to worker nodes.',
    updates: 'Swarm performs rolling updates directly to containers. It does not provide automatic rollbacks.',
})